/* 3D-Druck für Nerds - CAD for Nerds

	02 Transformations

	https://en.wikibooks.org/wiki/OpenSCAD_User_Manual/Transformations

*/


$fn=50; // sets amount steps for "round shapes"

	
	/* Translation */
	sideLength=23;
	if (0)
	translate([-sideLength/2, -sideLength/2, 0]) // comment/uncomment!
		cube([sideLength, sideLength, 5]);

	if (0)
		cube([sideLength, sideLength, 5], center=true);
	
// -----------------------------------------------------------
	
	/* Rotation */
	sideLength=23;
	if (0)
	rotate([90, 0, 45])
		cube([sideLength, sideLength, 5]);
	
// -----------------------------------------------------------

	/* Hull */
	dia1=23;
	
	if (0)
	hull()
	{
		sphere(d=dia1);
	
		translate([3*dia1, 0, 0]) sphere(d=dia1);
	}
	
	/* Minkowski Summe Ursprung: https://en.wikipedia.org/wiki/Minkowski_space 
		----> http://doc.cgal.org/latest/Minkowski_sum_3/index.html */
	if (1)
	{
		minkowski() // uncomment to see effect!
		{
			cube([10, 10, 10]);
			sphere();
		}
	}